> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ticketread

## "ticketread" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TicketReadStatusProvider">TicketReadStatusProvider</see> class.
The name of the MDO list is 'ticketread'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ticketread
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ticketread", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 0  | Unknown |           |           |
| 1  | Read    |           |           |
| 2  | Changed |           |           |
| 3  | Unread  |           |           |

## Related MDO Lists

* "ticketreadheadings"
* "ticketreadheadingswithallitem"
* "ticketreadheadingswithallitemwithnoselection"
* "ticketreadheadingswithnoselection"
* "ticketreadwithallitem"
* "ticketreadwithallitemwithnoselection"
* "ticketreadwithnoselection"


## Related topics

- [Enum TicketReadStatus](/en/automation/crmscript/reference/CRMScript.NetServer.TicketReadStatus.md)
- [Enum values for TicketReadStatus](/en/database/tables/enums/ticketreadstatus.md)
- [SuperOffice.WebApi.Data.TicketReadStatus](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketReadStatus.md)
- [SuperOffice.WebApi.Data.TicketPriorityEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketPriorityEntity.md)
- [SuperOffice.WebApi.Agents.ITicketAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ITicketAgent.md)
- [SuperOffice.WebApi.Agents.TicketAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.TicketAgent.md)
